version: "3.8"

services:
  httpd:
    image: in2code/httpd:2.4-alpine
    volumes:
      - ./:/app/
    environment:
      WEB_DOCUMENT_ROOT: /app/.Build/Web/
      VIRTUAL_HOST: local.typo3socket.com
      VIRTUAL_PORT: 443
      VIRTUAL_PROTO: https
    networks:
      default:
        aliases:
          - local.typo3socket.com

  php:
    build:
      context: .project/docker/php
      dockerfile: Dockerfile
    volumes:
      - ./:/app/
      - $HOME/.composer/auth.json:/tmp/composer/auth.json
      - $HOME/.composer/cache/:/tmp/composer/cache/
      - $HOME/.phive/:/tmp/phive/
      - $SSH_AUTH_SOCK:$SSH_AUTH_SOCK
    extra_hosts:
      - host.docker.internal:host-gateway
    environment:
      SSH_AUTH_SOCK: $SSH_AUTH_SOCK
      TYPO3_CONTEXT: Development/Docker
      TYPO3_DB_CHARSET: utf8mb4
      TYPO3_DB_DRIVER: mysqli
      TYPO3_DB_DATABASE: typo3
      TYPO3_DB_HOST: mysql
      TYPO3_DB_USER: app
      TYPO3_DB_PASSWORD: app
      TYPO3_DB_PORT: 3306

  mysql:
    image: in2code/mysql:8.0-mb4
    volumes:
      - mysql:/var/lib/mysql/
    ports:
      - 31398:3306
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: typo3
      MYSQL_PASSWORD: app
      MYSQL_USER: app

  mail:
    image: axllent/mailpit
    environment:
      VIRTUAL_PORT: 8025
      VIRTUAL_HOST: mail.local.typo3socket.com
      VIRTUAL_PROTO: http

volumes:
  mysql:
